> ## Documentation Index
> Fetch the complete documentation index at: https://hevninc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get transaction receipt PDF download link

> Generate receipt PDF for a transaction, upload to Supabase, return download link.



## OpenAPI

````yaml /openapi.json get /api/v1/export/transaction_receipt/{transaction_id}
openapi: 3.1.0
info:
  title: HEVN API
  description: Backend API for HEVN mobile neobank
  version: 0.1.2
servers:
  - url: https://api.hevn.finance
    description: Production
security: []
paths:
  /api/v1/export/transaction_receipt/{transaction_id}:
    get:
      tags:
        - Exports
      summary: Get transaction receipt PDF download link
      description: >-
        Generate receipt PDF for a transaction, upload to Supabase, return
        download link.
      operationId: >-
        get_transaction_receipt_pdf_api_v1_export_transaction_receipt__transaction_id__get
      parameters:
        - name: transaction_id
          in: path
          required: true
          schema:
            type: string
            title: Transaction Id
        - name: x-api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                title: >-
                  Response Get Transaction Receipt Pdf Api V1 Export Transaction
                  Receipt  Transaction Id  Get
        '404':
          description: Transaction not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer
      x-default: Bearer <token>

````